## org.apache.batik.gvt.text
Class ConcreteTextLayoutFactory

    java.lang.Object
      org.apache.batik.gvt.text.ConcreteTextLayoutFactory

All Implemented Interfaces:
  TextLayoutFactory

public class ConcreteTextLayoutFactory
extends java.lang.Object
implements TextLayoutFactory

Factory instance that returns TextSpanLayouts appropriate to AttributedCharacterIterator instances.

See Also:
  `TextSpanLayout`

Constructor Summary
`ConcreteTextLayoutFactory()`

Method Summary
`TextSpanLayout` `createTextLayout(java.text.AttributedCharacterIterator aci, int[] charMap, java.awt.geom.Point2D offset, java.awt.font.FontRenderContext frc)` Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteTextLayoutFactory

    public ConcreteTextLayoutFactory()

Method Detail

### createTextLayout

    public TextSpanLayout createTextLayout(java.text.AttributedCharacterIterator aci,
                                           int[] charMap,
                                           java.awt.geom.Point2D offset,
                                           java.awt.font.FontRenderContext frc)

  Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

  Specified by:
    `createTextLayout` in interface `TextLayoutFactory`
  Parameters:
    `aci` - The character iterator to be laid out
    `charMap` - Indicates how chars in aci map to original text char array.
    `offset` - The offset position for the text layout.
    `frc` - The font render context to use when creating the text layout.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.